﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace WpfApplication1
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, RoutedEventArgs e)
        {
            var dialog = new Microsoft.Win32.OpenFileDialog();

            dialog.DefaultExt = ".mp4"; // Default file extension
            dialog.Filter = "Video Files (.mp4)|*.mp4|mov (*.mov)|*.mov|webm (*.webm)|*.webm|MXF (*.mxf)|*.mxf|Flash (*.swf)|*.swf|AVCHD, TS(*.m2ts,ts)|*.m2ts;*.ts|vob (*.vob)|*.vob|f4v (*.f4v)|*.f4v|flv (*.flv)|*.flv|mpg (*.mpg)|*.mpg|mpeg (*.mpeg)|*.mpeg|wmv (*.wmv)|*.wmv|avi (*.avi)|*.avi|3gp (*.3gp)|*.3gp"; // Filter files by extension

            // Show open file dialog box
            bool? result = dialog.ShowDialog();

            string filename;
            // Process open file dialog box results
            if (result == true)
            {

                filename = dialog.FileName;


                axMoviePlayer1.FileName = filename;
                axMoviePlayer1.Play();
            }
        }

        private void button2_Click(object sender, RoutedEventArgs e)
        {
            axMoviePlayer1.Pause();
        }

        private void button3_Click(object sender, RoutedEventArgs e)
        {
            axMoviePlayer1.Play();
        }
    }
}
